# {%= name %} {%= badge("fury") %}

> {%= description %}

## Install
{%= include("install") %}

## Run tests

```bash
npm test
```

## Usage

```js
var filter = require('{%= name %}');

filter({a: 'a', b: 'b', c: 'c'}, '*');
//=> {a: 'a', b: 'b', c: 'c'}

filter({a: 'a', b: 'b', c: 'c'}, 'b');
//=> {b: 'b'}

filter({foo: 'a', bar: 'b', baz: 'c'}, 'b*');
//=> {bar: 'b', baz: 'c'}

filter({a: 'a', b: 'b', c: 'c'}, '{b,c}');
//=> {b: 'b', c: 'c'}
```

Negation patterns work as well:

```js
filter({foo: 'a', bar: 'b', baz: 'c'}, ['*', '!b*']);
//=> {foo: 'a'}
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue][issues].

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[issues]: https://github.com/jonschlinkert/filter-keys/issues